commit:     68437e38c18261130d2160172c0564e70f3938a5
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 20:44:01 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue May 16 20:49:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68437e38

app-crypt/certbot: Version bump to 0.14.1

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 app-crypt/certbot/Manifest              |  1 +
 app-crypt/certbot/certbot-0.14.1.ebuild | 52 +++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-crypt/certbot/Manifest b/app-crypt/certbot/Manifest
index 0080a098fd1..5b9c3d7763c 100644
--- a/app-crypt/certbot/Manifest
+++ b/app-crypt/certbot/Manifest
@@ -1,3 +1,4 @@
 DIST certbot-0.11.1.tar.gz 817693 SHA256 
89c45639746a79a22e32d86dbf9352cda1a4ea218aa1433d3aa61d90c715f52c SHA512 
77ab66be8e9e16c3588f9a822db553c3ba8caf5bda91a810c0bccfd2bed144ccab06dae33551df474dba05a679045dc02966bc6f8facecdcba3f00c7b9773f0a
 WHIRLPOOL 
5514e471ef9f7fd75321da7828927c34bec757bcd0c7477814da953286f6a0a414b5cf5969243df41100f172bb2f0b451019f7e1130123a2fac9fcd88a0abd99
 DIST certbot-0.13.0.tar.gz 827956 SHA256 
ef23822043435261750e7a9c1211601b65f9f9a5e634cfbf5011632b0a62edd4 SHA512 
c0bc38b48f0c9731236bba9f4c05da960bfc038be629c5f4c63e80812595c6e0fb679ff901a8bf160efa119b532b5a629435ed595e3b1049f7a15f2c2dd8eb40
 WHIRLPOOL 
9c0217042c9864b5b0a621aa9a478f1943eced10f68cb913d2b2874fd96774969266e424be08ea345167bb9994f9b0ae2c0557a5c63eb1d37f2b09171bd87b49
 DIST certbot-0.14.0.tar.gz 850922 SHA256 
f5a7ade95303a39750db287ac039dd3ee806acdd5c3ee2403300dcfff9587b18 SHA512 
da278e1ac75464c2dfe3d7d649c1010468f5c873f366fc308a9e2ba5b1210f2d03e07d84ffd7a499d9a39d3f66518e7ca87964c1ef121173d3172a0803ad02c5
 WHIRLPOOL 
babb2a8ef69d48e75c053a030d85475f3c394f6897264f151f12436965f85753669541285ad68ab038d56d96cd5522ce21c20b34472781e0606b1892949a59fd
+DIST certbot-0.14.1.tar.gz 851705 SHA256 
7992fced742649e7b7668e4db7685de12248a4ffba66810cb336e9b6412e3567 SHA512 
309e0e1d071960ae9a5cc4c9f965cc623b68d3d61f69282f21629514553a75af4d384d2c29fd3beee6eb8447c7b6651ce86c33c4f3916876fac7a91a08d2075d
 WHIRLPOOL 
f5a5be776f0a9bb9096a6e8dfa64942bd00583559cba64d3c1a5b991578bb8c7cac5076895e4291e1ec4c8fa767f026a90e0c1312c4f425ffcb5bf08bd0e9e40

diff --git a/app-crypt/certbot/certbot-0.14.1.ebuild 
b/app-crypt/certbot/certbot-0.14.1.ebuild
new file mode 100644
index 00000000000..0521ea787be
--- /dev/null
+++ b/app-crypt/certbot/certbot-0.14.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+CDEPEND=">=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${CDEPEND}
+       ~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
+       dev-python/configobj[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-0.7[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               >=dev-python/astroid-1.3.5[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/pep8[${PYTHON_USEDEP}]
+               >=dev-python/pylint-1.4.2[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       nosetests -v ${PN} || die
+}

Reply via email to